Page MenuHomePhabricator

[Mips] Move MipsABIInfo class to LLVMMipsDesc library
ClosedPublic

Authored by vmedic on Dec 15 2014, 9:28 AM.

Details

Reviewers
dsanders
Summary

MipsABIInfo class is used in different libraries. Moving the files to MCTargetDesc folder(LLVMMipsDesc library) prevents linkage errors. There are no functional changes.

Diff Detail

Event Timeline

vmedic updated this revision to Diff 17294.Dec 15 2014, 9:28 AM
vmedic retitled this revision from to [Mips] Move MipsABIInfo class to LLVMMipsDesc library.
vmedic updated this object.
vmedic edited the test plan for this revision. (Show Details)
vmedic added a reviewer: dsanders.
vmedic added a subscriber: Unknown Object (MLST).
dsanders accepted this revision.Dec 16 2014, 2:22 AM
dsanders edited edge metadata.

LGTM

This revision is now accepted and ready to land.Dec 16 2014, 2:22 AM
vmedic closed this revision.Dec 17 2014, 3:51 AM

Committed revision 224427.